Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IExpressionValidator

public interface IExpressionValidator
This class provides functions to validate if specified expression is valid or legal.

Since:
  2.6.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReservedString(String expression)`
Checks if specified expression is a reserved string, not a valid expression.
`boolean`
`isValidExpression(String expression)`
Checks if specified expression is valid.

## Method Details

### isReservedString

boolean isReservedString(String expression)
Checks if specified expression is a reserved string, not a valid expression.

Parameters:
  `expression` -
Returns:

### isValidExpression

boolean isValidExpression(String expression)
Checks if specified expression is valid.

Parameters:
  `expression` -
Returns: